-- коррекция длины бейсик программы для корректного автостарта
	function SetBasLen()
	  local ftrdimage
	  local trdimage
	  local lenbas
	  local lenbasL

	  ftrdimage = io.open("!bin/elite.trd", "r+b")
	  trdimage = ftrdimage:read(16)
	  lenbasL = trdimage:byte(10)
	  lenbasL = lenbasL - 4
          ftrdimage:seek(set, -7)
          ftrdimage:write(string.pack("b", lenbasL))
          ftrdimage:seek(set, 1)
          ftrdimage:write(string.pack("b", lenbasL))
          
	  ftrdimage:close()

	  print("Автозапуск бейсик-загрузчика откорректирован")

	end
